<?php
/**
 * @package   Essentials YOOtheme Pro 2.2.16 build 0813.1608
 * @author    ZOOlanders https://www.zoolanders.com
 * @copyright Copyright (C) Joolanders, SL
 * @license   http://www.gnu.org/licenses/gpl.html GNU/GPL
 */

namespace ZOOlanders\YOOessentials\Config;

use YOOtheme\Http\Request;

interface ConfigRepositoryInterface
{
    public function authorize(): bool;
    public function load(ConfigInterface $config): void;
    public function save(ConfigInterface $config): void;
    public function fromRequest(Request $request): ?array;
}
